use super::schema::member_balances;
use beteran_common_rust as bcr;

///
#[derive(Identifiable, Queryable, PartialEq, PartialOrd, Debug, Clone)]
#[table_name = "member_balances"]
pub struct MemberBalance {
  ///
  pub id: uuid::Uuid,
  ///
  pub member_id: uuid::Uuid,
  ///
  pub balance: f64,
  ///
  pub balance_bota: f64,
  ///
  pub balance_sum: f64,
  ///
  pub created_at: i64,
  ///
  pub updated_at: i64,
}

///
#[derive(Insertable, Debug, Clone)]
#[table_name = "member_balances"]
pub struct NewMemberBalance {
  ///
  pub member_id: uuid::Uuid,
}

///
#[derive(AsChangeset, Debug, Clone)]
#[table_name = "member_balances"]
pub struct ModifyMemberBalance {
  ///
  pub balance: f64,
  ///
  pub balance_bota: f64,
  ///
  pub balance_sum: f64,
}

///
#[derive(Debug, Clone)]
pub struct FindAllSearch {
  ///
  pub member_id: Option<uuid::Uuid>,
}

///
#[derive(Debug, Clone)]
pub struct FindAll {
  ///
  pub search: Option<FindAllSearch>,
  ///
  pub pagination: Option<bcr::pagination::Pagination>,
  ///
  pub sorts: Option<Vec<bcr::pagination::Sort>>,
}
